package com.ssj.service.course.req;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/** 
 * @author  ZhangCaibao 
 * @version 2018年10月18日 上午10:37:57 
 * 类说明 
 */
public class TeacherFeedbackReq extends BaseRequest{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
     * 馆ID
     */
	@ApiModelProperty(name = "libId", value = "馆ID", required = true)
	private String  libId;
	
	/**
     * 系列课程ID
     */
	@ApiModelProperty(name = "courseSeriesId", value = "系列课程ID", required = true)
	private String  courseSeriesId;
	
	@ApiModelProperty(name = "vipId", value = "会员ID", required = true)
	private String  vipId;
	
	/**
     * 明细课程ID
     */
	@ApiModelProperty(name = "courseDetailId", value = "明细课程ID", required = true)
	private String  courseDetailId;
	
	/**
	 * 主动度
	 */
	@ApiModelProperty(name = "activeScore", value = "主动度", required = true)
	private Double activeScore;
	
	/**
	 * 专注度
	 */
	@ApiModelProperty(name = "focusScore", value = "专注度", required = true)
	private Double focusScore;
	
	/**
	 * 老师有话说
	 */
	@ApiModelProperty(name = "saying", value = "老师有话说", required = true)
	private String saying;
	
	@ApiModelProperty(name = "sendType", value = "2-直接发送3-预览后发送", required = true)
	private Integer sendType;
	
	public String getCourseSeriesId() {
		return courseSeriesId;
	}

	public void setCourseSeriesId(String courseSeriesId) {
		this.courseSeriesId = courseSeriesId;
	}

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public String getCourseDetailId() {
		return courseDetailId;
	}

	public void setCourseDetailId(String courseDetailId) {
		this.courseDetailId = courseDetailId;
	}

	public Double getActiveScore() {
		return activeScore;
	}

	public void setActiveScore(Double activeScore) {
		this.activeScore = activeScore;
	}

	

	public Double getFocusScore() {
		return focusScore;
	}

	public void setFocusScore(Double focusScore) {
		this.focusScore = focusScore;
	}

	public String getSaying() {
		return saying;
	}

	public void setSaying(String saying) {
		this.saying = saying;
	}

	public Integer getSendType() {
		return sendType;
	}

	public void setSendType(Integer sendType) {
		this.sendType = sendType;
	}

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}
	
	
}
